iofits(1)

NAME
iofits - FITS data format conversion (pixel depth)

SYNOPSIS
iofits [options] <in_fits> <out_fits> <depth>

DESCRIPTION

iofits converts FITS files of any pixel depth to another pixel depth (bits per pixel). Depth is given as in the FITS norm :

•   8 bits per pixel, unsigned.

•   16 bits per pixel, signed

•   32 bits per pixel, signed

•   -32 IEEE floating point

•   -64 IEEE double precision floating point

OPTIONS

-v  Verbose mode.

-M megs
    Memory handling. To avoid saturate memory for huge cubes, this parameter specifies the maximum amount of memory to use before swapping data to disk. The amount is given in Megabytes. (1Meg = 1,048,576 Bytes) The process time is then considerably slowed down. Default value is 50 megs.

FILES

Input/output files shall all comply with FITS format.

The original FITS header of the input FITS file is conserved along, except for the following keywords: NAXIS, NAXISn, BITPIX, BSCALE, BZERO, which are related to the newly created file.

HISTORY keywords are appended to the FITS header to indicate the eclipse process modifications, together with the command line which was used to generate the file.

SEE ALSO

average, filt, deadpix

BUGS

In general, decreasing the resolution in number of bits per pixel almost always means loss of precision. No rescaling is done on the data, use this command with care!